Devuelve los metadatos de un proveedor de identidad en la federación especificada. Para utilizar este recurso, la cuenta de servicio solicitante o la clave API debe tener el rol de propietario de la organización en una de las organizaciones conectadas.
Parámetros de path
-
string única de 24 dígitos hexadecimales que identifica a tu federación.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{24})$. -
string de dígitos hexadecimales de 20heredada que identifica al proveedor de identidad. Este id se puede encontrar dentro de la Consola de Gestión de Federaciones > pestaña Proveedores de Identidad haciendo clic en el icono de información en la fila IdP ID de un proveedor de identidad configurado.
El formato debe coincidir con el siguiente patrón:
^([a-f0-9]{20})$.
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/identityProviders/c2777a9eca931f29fc2f/metadata.xml' \
--header "Authorization: Bearer $ACCESS_TOKEN"
string
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 405,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Method Not Allowed",
"errorCode": "ATLAS_BACKUP_CANCEL_SHARD_RESTORE_JOB_NOT_ALLOWED"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}